Subject: [ericas] Fwd: [mptcp-dev] MPTCP is great!

From: "Eggert, Lars" <[email-masked]>
Date: Tue, 3 Sep 2013 06:59:33 +0000

FYI, one datapoint about at least one of the IETF's recent protocol developments making a difference in emerging regions.

Begin forwarded message:

> From: David Smith <[email-masked]>
> Subject: [mptcp-dev] MPTCP is great!
> Date: September 2, 2013 17:21:18 GMT+02:00
> To: <[email-masked]>
> Reply-To: David Smith <[email-masked]>
> 
> 
> I've been using Multipath TCP for a week now on the Internet with TCP
> connections between China and the USA, and I must say that it is really
> amazing!  Excellent work to everybody that worked on this.   
> 
> As somebody who needs to send a lot of data clear across the world... As
> somebody who struggles with 1000ms+ latencies between clients and
> servers due to poor connectivity and long-distance communication...  As
> somebody who has to regularly deal with packet loss at ~40%..   As
> somebody that often has to deal with Internet Service Providers
> intentionally throttling and dropping packets..   And as somebody that
> has been forced to resort to multiple DSL Modems / Cable Modems / Cell
> phones or a combination of the above used simultaneously, just to get a
> decent throughput to the Internet from some random 3rd world country.  I
> must say, this has been the perfect solution for me.
> 
> Congratulations on making something that works so well!
> 
> rsync and wget scripts that I've had to awkwardly split up into several
> commands so they can be run in parallel, have now been simplified down
> to running a single command at a time with close to 100% network
> utilization.
> 
> When an Internet connection goes down (happens a lot here), the rsync
> command no longer gets "stuck" for long periods of time with no
> activity, It just falls back to another Internet connection and keeps on
> going!  So now I don't have to baby-sit all my parallel rsync
> connections to catch them when my Internet connection fails!  Just run
> one and let it go.  That's a *HUGE* weight off of my shoulders.
> 
> SFTP transfers no longer fail / abort / leave corrupted files on the
> server when an Internet connection goes down because it falls back to
> using a different Internet connection.  This is especially awesome
> because trying to resume SFTP transfers of directories is often much
> harder than it should be.
> 
> When I'm in a city, there are so many Wifi devices everywhere and the
> channel overlap is so bad that Wifi routers struggle to maintain any
> connectivity at all. With MPTCP, I can run a Wifi+Ethernet connection
> safely and not worry about the Wifi connection dropping out on me due to
> a bunch of other Wifi routers in the area trying to use the exact same
> Wifi channel and causing interference. 
> 
> MPTCP is really awesome. I love it.  Keep up the great work and I really
> hope this gets put into the mainline kernel very soon because this is
> one of the most useful technologies that I've had the pleasure of using
> in a very long time.
> 
> Thanks again!
> 
> -David
> 
> MPTCP-developpers Mailing-List
> Visit https://scm.info.ucl.ac.be/trac/mptcp/ to access the source-code of MPTCP in the Linux Kernel
> 
> To Unsubscribe, visit https://listes-2.sipr.ucl.ac.be/sympa/info/mptcp-dev

---

From: Arturo Servin <[email-masked]>
Date: Tue, 03 Sep 2013 10:18:22 -0300

Lars,

    Very interesting, thank you for sharing.

Regards,
as